Subject: bug#37960: gnutls-trustfiles path for OpenIndiana and Solaris

From: Michal Nowak <[email-masked]>
Date: Mon, 28 Oct 2019 11:59:28 +0100

OpenIndiana, an illumos distribution, (and Solaris 11) have CA 
certificates bundle located at /etc/certs/ca-certificates.crt. I need to 
set 'gnutls-trustfiles' like this to have TLS support in the Package 
Manager:

--- emacs-26.3/lisp/net/gnutls.el	2019-01-07 15:26:06.000000000 +0000
+++ emacs-26.3/lisp/net/gnutls.el	2019-10-28 11:36:51.536111401 +0000
@@ -107,6 +107,7 @@ Security'."
      "/usr/ssl/certs/ca-bundle.crt"           ; Cygwin
      "/usr/local/share/certs/ca-root-nss.crt" ; FreeBSD
      "/etc/ssl/cert.pem"                      ; macOS
+    "/etc/certs/ca-certificates.crt"         ; OpenIndiana
      )
    "List of CA bundle location filenames or a function returning said list.
  The files may be in PEM or DER format, as per the GnuTLS documentation.